# ImagingStudy read

`GET /ImagingStudy/{id}`

This resource contains content from a Digital Imaging and Communications in Medicine (DICOM) study.

Since this resource type represents medical images and related data that adhere to DICOM standards, the resource entries and elements map to DICOM attributes. A <u>series</u> comprises one type of imaging, while a <u>study</u> may have one or more series of different types within a resource. [Learn more about translating DICOM to FHIR](https://docs.redoxengine.com/permalink/6Zh4WUgV18ilvx8dynUYie).

You can review DICOM content or retrieve its storage location.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review translated DICOM content in a specific `ImagingStudy` resource. 

To use the `read` interaction, you must know the related FHIR resource ID. To retrieve translated DICOM content, you must search for the storage location with the `_search` interaction first.

This correlates to a <u>**WADO-RS**</u> DICOM operation in DICOM to Redox FHIR translation. 

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | ImagingStudy identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/ImagingStudy/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The ImagingStudy

A profile on the ImagingStudy resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: ImagingStudy |
| `status` | string | Yes | The current state of the ImagingStudy. Possible values: registered, available, cancelled, entered-in-error, unknown |
| `subject` | object | Yes | The subject, typically a patient, of the imaging study. Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | Identifiers for the ImagingStudy such as DICOM Study Instance UID, and Accession Number. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `modality` | Array of object | No | A list of all the series.modality values that are actual acquisition modalities, i.e. those in the DICOM Context Group 29 (value set OID 1.2.840.10008.6.1.19). |
| `modality[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `modality[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `started` | string | No | Date and time the study started. |
| `referrer` | object | No | The requesting/referring physician. Must reference one of the following types of resources: - `PractitionerRole` - `Practitioner` |
| `referrer.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `endpoint` | Array of object | No | The network service providing access (e.g., query, view, or retrieval) for the study. See implementation notes for information about using DICOM endpoints. A study-level endpoint applies to each series in the study, unless overridden by a series-level endpoint with the same Endpoint.connectionType. Must be a resource of type `Endpoint`. |
| `endpoint[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `numberOfSeries` | number | No | Number of Series in the Study. This value given may be larger than the number of series elements this Resource contains due to resource availability, security, or other factors. This element should be present if any series elements are present. |
| `numberOfInstances` | number | No | Number of SOP Instances in Study. This value given may be larger than the number of instance elements this resource contains due to resource availability, security, or other factors. This element should be present if any instance elements are present. |
| `procedureCode` | Array of object | No | The code for the performed procedure type. |
| `procedureCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `procedureCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `procedureCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `procedureCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `location` | object | No | The principal physical location where the ImagingStudy was performed. Must be a resource of type `Location`. |
| `location.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `reasonCode` | Array of object | No | Description of clinical condition indicating why the ImagingStudy was requested. |
| `reasonCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `reasonCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reasonCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `description` | string | No | The Imaging Manager description of the study. Institution-generated description or classification of the Study (component) performed. |
| `series` | Array of object | No | Each study has one or more series of images or other content. |
| `series[].uid` | string | Yes | The DICOM Series Instance UID for the series. |
| `series[].modality` | object | Yes | The modality of this series sequence. |
| `series[].modality.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `series[].modality.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `series[].number` | number | No | The numeric identifier of this series in the study. |
| `series[].description` | string | No | A description of the series. |
| `series[].numberOfInstances` | number | No | Number of SOP Instances in the Study. The value given may be larger than the number of instance elements this resource contains due to resource availability, security, or other factors. This element should be present if any instance elements are present. |
| `series[].started` | string | No | The date and time the series was started. |
| `series[].performer` | Array of object | No | Indicates who or what performed the series and how they were involved. |
| `series[].performer[].actor` | object | Yes | Indicates who or what performed the series. Must reference one of the following types of resources: - `PractitionerRole` - `Practitioner` - `Organization` |
| `series[].performer[].actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `series[].performer[].function` | object | No | Distinguishes the type of involvement of the performer in the series. |
| `series[].performer[].function.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `series[].performer[].function.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `series[].performer[].function.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `series[].performer[].function.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `series[].instance` | Array of object | No | A single SOP instance within the series, e.g. an image, or presentation state. |
| `series[].instance[].uid` | string | Yes | The DICOM SOP Instance UID for this image or other DICOM content. |
| `series[].instance[].sopClass` | object | Yes | DICOM instance  type. |
| `series[].instance[].sopClass.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `series[].instance[].sopClass.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `series[].instance[].number` | number | No | The number of instance in the series. |
| `series[].instance[].title` | string | No | The description of the instance. |

```json
{
  "resourceType": "ImagingStudy",
  "id": "example-x-ray",
  "identifier": [
    {
      "use": "official",
      "system": "urn:dicom:uid",
      "value": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.698084.9"
    },
    {
      "use": "usual",
      "value": "81248247421",
      "type": {
        "coding": [
          {
            "code": "ACSN",
            "system": "http://terminology.hl7.org/CodeSystem/v2-0203"
          }
        ],
        "text": "Accession Number"
      }
    }
  ],
  "status": "available",
  "modality": [
    {
      "code": "DX",
      "system": "http://dicom.nema.org/resources/ontology/DCM"
    }
  ],
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "started": "2022-01-01T11:01:20+03:00",
  "numberOfSeries": 1,
  "numberOfInstances": 2,
  "procedureCode": [
    {
      "coding": [
        {
          "code": "RPID2589",
          "system": "http://www.radlex.org",
          "display": "XR Wrist 3+ Views"
        }
      ]
    }
  ],
  "series": [
    {
      "uid": "2.16.124.113543.6003.1154777499.30246.19789.3503430045.1",
      "number": 3,
      "modality": {
        "code": "DX",
        "system": "http://dicom.nema.org/medical/dicom/current/output/chtml/part16/sect_CID_33.html"
      },
      "description": "XR Wrist 3+ Views",
      "numberOfInstances": 2,
      "instance": [
        {
          "uid": "2.16.124.113543.6003.1154777499.30246.19789.3503430045.1.1",
          "sopClass": {
            "code": "urn:oid:1.2.840.10008.5.1.4.1.1.2",
            "system": "urn:ietf:rfc:3986"
          },
          "number": 1,
          "title": "PA VIEW"
        },
        {
          "uid": "2.16.124.113543.6003.1154777499.30246.19789.3503430045.1.2",
          "sopClass": {
            "code": "urn:oid:1.2.840.10008.5.1.4.1.1.2",
            "system": "urn:ietf:rfc:3986"
          },
          "number": 2,
          "title": "LL VIEW"
        }
      ]
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
